Create an NLU Connector
Creates an NLU Connector in a Project.
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/nluconnectors \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "New NLUConnector",
"type": "cognigy",
"settings": {
"invocationName": "<string>",
"reparseAlexaSlots": true,
"skill": {
"lastUpdated": "<string>",
"nameByLocale": {
"en-US": "<string>",
"de-DE": "<string>",
"ja-JP": "<string>",
"en-GB": "<string>",
"en-IN": "<string>"
},
"skillId": "<string>",
"stage": "<string>"
}
},
"transformer": {
"abortOnError": false,
"transformerStackEnabled": false,
"transformer": "<string>",
"preNluTransformerEnabled": false,
"postNluTransformerEnabled": false,
"nluCodeTransformerEnabled": false
},
"projectId": "<string>"
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/nluconnectors"
payload = {
"name": "New NLUConnector",
"type": "cognigy",
"settings": {
"invocationName": "<string>",
"reparseAlexaSlots": True,
"skill": {
"lastUpdated": "<string>",
"nameByLocale": {
"en-US": "<string>",
"de-DE": "<string>",
"ja-JP": "<string>",
"en-GB": "<string>",
"en-IN": "<string>"
},
"skillId": "<string>",
"stage": "<string>"
}
},
"transformer": {
"abortOnError": False,
"transformerStackEnabled": False,
"transformer": "<string>",
"preNluTransformerEnabled": False,
"postNluTransformerEnabled": False,
"nluCodeTransformerEnabled": False
},
"projectId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'New NLUConnector',
type: 'cognigy',
settings: {
invocationName: '<string>',
reparseAlexaSlots: true,
skill: {
lastUpdated: '<string>',
nameByLocale: {
'en-US': '<string>',
'de-DE': '<string>',
'ja-JP': '<string>',
'en-GB': '<string>',
'en-IN': '<string>'
},
skillId: '<string>',
stage: '<string>'
}
},
transformer: {
abortOnError: false,
transformerStackEnabled: false,
transformer: '<string>',
preNluTransformerEnabled: false,
postNluTransformerEnabled: false,
nluCodeTransformerEnabled: false
},
projectId: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/nluconnectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "New NLUConnector",
"type": "cognigy",
"settings": {
"invocationName": "<string>",
"reparseAlexaSlots": true,
"skill": {
"lastUpdated": "<string>",
"nameByLocale": {
"en-US": "<string>",
"de-DE": "<string>",
"ja-JP": "<string>",
"en-GB": "<string>",
"en-IN": "<string>"
},
"skillId": "<string>",
"stage": "<string>"
}
},
"transformer": {
"abortOnError": false,
"transformerStackEnabled": false,
"transformer": "<string>",
"preNluTransformerEnabled": false,
"postNluTransformerEnabled": false,
"nluCodeTransformerEnabled": false
},
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv Query Parameters
An Id of a resource within the corresponding project to copy from
24^[a-z0-9]{24}$Body
The name of the NLU Connector.
"New NLUConnector"
The NLU Connector type.
alexa, dialogflow, dialogflowBuiltIn, amazonLexBuiltIn, luis, watson, noNlu, cognigy, code, generativeAI, lex "cognigy"
The settings used by the Alexa NLU Connector.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The unique identifier for the Project.
24^[a-z0-9]{24}$Response
Returns NLUConnector metadata object.
The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.
The name of the NLU Connector.
"New NLUConnector"
The NLU Connector type.
alexa, dialogflow, dialogflowBuiltIn, amazonLexBuiltIn, luis, watson, noNlu, cognigy, code, generativeAI, lex "cognigy"
The settings used by the Alexa NLU Connector.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
24^[a-z0-9]{24}$Unix-timestamp
0 <= x <= 21474836471694518620
Unix-timestamp
0 <= x <= 21474836471694518620
24^[a-z0-9]{24}$24^[a-z0-9]{24}$